### Function

# Ggit ConfigCallback

#### Declaration

    gint
    (* GgitConfigCallback) (
      GgitConfigEntry* entry,
      gpointer user_data
    )

#### Description [src]

The type of the callback functions for retrieving values from a `GgitConfig`. See ggit_config_foreach().

#### Parameters

`entry`

  Type: `GgitConfigEntry`

  A `GgitConfigEntry`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User-supplied data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

0 to go for the next config value or a `GgitError` in case there was an error.